Package org.apache.sling.servlets.get.impl.util

# Class JsonToText.Options

java.lang.Object
org.apache.sling.servlets.get.impl.util.JsonToText.Options

Enclosing class:
  JsonToText

public static class JsonToText.Options extends Object
Rendering options

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_CHILD_NAME_KEY`
`static final String`
`DEFAULT_CHILDREN_KEY`

## Method Summary

Modifier and Type
Method
Description
`JsonToText.Options`
`withArraysForChildren(boolean b)`
`JsonToText.Options`
`withChildNameKey(String key)`
`JsonToText.Options`
`withChildrenKey(String key)`
`JsonToText.Options`
`withIndent(int n)`
`JsonToText.Options`
`withInitialIndent(int n)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_CHILDREN_KEY

public static final String DEFAULT_CHILDREN_KEY

See Also:
  - Constant Field Values

### DEFAULT_CHILD_NAME_KEY

public static final String DEFAULT_CHILD_NAME_KEY

See Also:
  - Constant Field Values

## Method Details

### withIndent

public JsonToText.Options withIndent(int n)

### withInitialIndent

public JsonToText.Options withInitialIndent(int n)

### withArraysForChildren

public JsonToText.Options withArraysForChildren(boolean b)

### withChildNameKey

public JsonToText.Options withChildNameKey(String key)

### withChildrenKey

public JsonToText.Options withChildrenKey(String key)